Get inventory treatment settings
GET
/merchants/{merchantCode}/inventoryTreatmentSettings
const url = 'https://catalog.shopgate.io/v1/merchants/example/inventoryTreatmentSettings';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://catalog.shopgate.io/v1/merchants/example/inventoryTreatmentSettingsGet inventory treatment settings
Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”merchantCode
required
string
Responses
Section titled “Responses”Return inventory treatment settings
Media typeapplication/json
object
inventoryTreatmentSettings
Array<object | null>
object
code
required
string
name
required
string
isPurchasable
required
boolean
sequenceId
integer
Example
{ "inventoryTreatmentSettings": [ { "code": "its1", "name": "not localized name of the inventory treatment settings", "isPurchasable": false, "sequenceId": 1 } ]}
